Change Ticket Submitter from "Anonymous" to his Email

2010-08-06 22:28 - Alfons L.

Status: New Start date: 2010-08-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When a client has submitted an issue, in the detail view is no chance to see who was the submitter, it only says "from anonymous ...

submitted".

this should be changed to his real email address (and name).

History

#1 - 2010-08-06 22:41 - Alfons L.

Maybe this is related to one of my other tickets (#6068) - if unknown_user=create and it would be possible to do a "silent registration" this ticket would

be obsolete.

#2 - 2010-08-23 04:40 - Mark Ridley

Yes this feature is exactly what I want. Whilst I appreciate that Redmine is not a ticketing system, by adding this feature, and the ability to send an

automatic "thank you we're on the case" email, it would more perfect than it already is! :)

Cheers.

-Mark

#3 - 2010-08-23 04:44 - Mark Ridley

Actually, it would be preferable that the user "isn't" created i the user database at all.

#4 - 2010-08-25 02:46 - Terence Mill

We are using Novell Ldap Server for user base, where the user accounts are created via an enterprise process and redmine only "reads" from ldap

user base for access check.

There is no way for auto register unknown user's which sent ticket request via email in secured ldap for us. Furthermore the reporter would have no

mandator relation (aka as group), which whe would need for auto role assigment on per project base with auto registration possible.

However we don't let the customer http access redmine but use email templates in our product websites for bug reporting to us.

Sending back an auto response email to the customer isn't the problem an can be done default by email server, but we need to know how send the

report and that is the email adress of the sender which should be also the author of the created ticket, altough the sender is not registered (known in

our ldap)

A work around could be to define an optional field for ticket, where the email sender goes to when email is imported into ticket.

Another work around could be that the the email sender goes to ticket description (didn't try if already working this way), but the email sender

(support for unregistered  reporter) shall be known later, to send manual feed back and establish communication if necesarry.

Another way to resolve the read only ldap user base, could be to auto register unknown email reporter in redmines internal user base while still

also using read only ldap user base for other roles (didn't try if possible)

#5 - 2011-09-15 16:37 - Anonymous

Would it be possible to not create a user or anything but just prepend the from address to the message body? Then it would still be created by

anonymous but the email address would be on the ticket.

#6 - 2011-09-15 17:22 - Terence Mill

As i described formerly we now user the third variante to work around. We would like to use the first variant more, but this need change in redmien

core.

Terence Mill wrote:

We are using Novell Ldap Server for user base, where the user accounts are created via an enterprise process and redmine only "reads" from

ldap user base for access check.
There is no way for auto register unknown user's which sent ticket request via email in secured ldap for us. Furthermore the reporter would have

no mandator relation (aka as group), which whe would need for auto role assigment on per project base with auto registration possible.

However we don't let the customer http access redmine but use email templates in our product websites for bug reporting to us.

Sending back an auto response email to the customer isn't the problem an can be done default by email server, but we need to know how send

the report and that is the email adress of the sender which should be also the author of the created ticket, altough the sender is not registered

(known in our ldap)

A work around could be to define an optional field for ticket, where the email sender goes to when email is imported into ticket.

Another work around could be that the the email sender goes to ticket description (didn't try if already working this way), but the email

sender (support for unregistered  reporter) shall be known later, to send manual feed back and establish communication if necesarry.

Another way to resolve the read only ldap user base, could be to auto register unknown email reporter in redmines internal user base while

still also using read only ldap user base for other roles (didn't try if possible)

#7 - 2012-01-03 00:32 - Anonymous

This is a hack I put in place to add the from address:

https://github.com/cramerdev/redmine/commit/3707dd4b9562b15613f5b2f71bab65c5a3ad271d

#8 - 2013-09-09 09:04 - Timme P

Nathan Smith wrote:

This is a hack I put in place to add the from address:

https://github.com/cramerdev/redmine/commit/3707dd4b9562b15613f5b2f71bab65c5a3ad271d

 FYI applying this patch seems to break Redmine 1.3.2 (running on Ubuntu 12.04). At least it does when using receive_imap as a cronjob to receive

emails.

#9 - 2015-12-11 01:37 - Peter Beck

There is also a plugin called Redmine Helpdesk which allows to add a custom field with the anonymous email. Sadly it does not work with

rdm-mailhandler.rb...

as far as I know, the plugin anonymous authors does not work with 3.2.0 anymore (but maybe I'm wrong ?)

#10 - 2019-12-30 14:27 - Robert Röttger

- File testticket.JPG added

+1 for this ticket. Simply use Name + Mail address instead of the text "Anonymous". Or just add the name + mail address behind the "Anonymous"

Name. Important: this anonymous user needs to get notifications by this ticket as well.

#11 - 2020-06-01 10:00 - Go MAEDA

- Category changed from Issues to Email receiving

#12 - 2024-09-30 10:09 - Azrodt Ali

Hello

i have the same problem, do you now how to display the email adress from any person when the issues are create from a mail

That could be great to know the identity of someone just with the email adress of anonym issues.

Redmine Version : 5.0.2

Thank You

Files

testticket.JPG 20.7 KB 2019-12-30 Robert Röttger
